# Class ExpectStringHandler

java.lang.Object
com.sun.grid.util.expect.ExpectStringHandler

All Implemented Interfaces:
  `ExpectHandler`

public class ExpectStringHandler extends Object implements ExpectHandler

## Constructor Summary

Constructors
Constructor
Description
`ExpectStringHandler(String question, char[] message)`
Creates a new instance of ExpectStringHandler

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(Expect expect, ExpectBuffer buffer)`
Handle new output of the process and be send a reply.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpectStringHandler

public ExpectStringHandler(String question, char[] message)
Creates a new instance of ExpectStringHandler

## Method Details

### handle

public void handle(Expect expect, ExpectBuffer buffer) throws IOException
Description copied from interface: `ExpectHandler`
Handle new output of the process and be send a reply.

Specified by:
  `handle` in interface `ExpectHandler`
Parameters:
  `expect` - the expect object which calls this handler
  `buffer` - the buffer with the output of the process
Throws:
  `IOException`
See Also:
  - `Expect.print(String)`